#!/bin/bash

if [ -f "rtbwn.pid" ]; then
	echo "Server is already active"
	exit
fi

if [ ! -f "main.js" ]; then
	echo "Run this script from the server directory"
	exit
fi

echo "" > error.log
node main.js 1>/dev/null 2>>error.log &
echo $! > rtbwn.pid

echo Daemon started at PID $(cat rtbwn.pid)
